import { IStateFormat } from 'json-kifu-format/src/Formats';
export interface KomaDataObject {
    name: string;
    fullName: string;
    boardName: string;
    moves: Array<KomaMoveObject>;
    isPromote: boolean;
    toPromote: number;
    fromPromote: number;
}
export interface KomaMoveObject {
    type: string;
    x: number;
    y: number;
}
export interface InitObject {
    preset: string;
    data?: IStateFormat;
}
