import Move from './model/move';
import { IMoveFormat } from 'json-kifu-format/src/Formats';
export default class MoveData {
    private move;
    constructor(origin: Move);
    readonly moveObj: IMoveFormat;
    readonly isPut: boolean;
    readonly from: Object | null;
    readonly to: Object | null;
    readonly color: number;
    readonly name: string;
    readonly piece: string;
    readonly capture: string | null;
    readonly pureCapture: string | null;
    readonly comments: Array<string> | null;
}
